rel-test.hpp File Reference

Go to the source code of this file.

## Namespaces

namespace | Gecode
| Gecode toplevel namespace
namespace | Gecode::Float
| Floating point numbers.

## Functions

template<class View>
RelTest | Gecode::Float::rtest_eq (View x, View y)
| Test whether views x and y are equal.
template<class View>
RelTest | Gecode::Float::rtest_eq (View x, FloatVal n)
| Test whether view x and Float n are equal.
template<class View>
RelTest | Gecode::Float::rtest_lq (View x, View y)
| Test whether view x is less or equal than view y.
template<class View>
RelTest | Gecode::Float::rtest_lq (View x, FloatVal n)
| Test whether view x is less or equal than float n.
template<class View>
RelTest | Gecode::Float::rtest_le (View x, View y)
| Test whether view x is less than view y.
template<class View>
RelTest | Gecode::Float::rtest_le (View x, FloatVal n)
| Test whether view x is less or equal than float n.